#!/usr/bin/env node
"use strict";

var _esDevServer = require("./es-dev-server.js");

var _commandLineArgs = require("./command-line-args.js");

var _utils = require("./utils/utils.js");

const config = (0, _esDevServer.createConfig)({ ...(0, _commandLineArgs.readCommandLineArgs)(),
  logErrorsToBrowser: true
});
(0, _utils.logDebug)('Starting server with config: ', config);
(0, _esDevServer.startServer)(config);
['exit', 'SIGINT'].forEach(event => {
  // @ts-ignore
  process.on(event, () => {
    process.exit(0);
  });
});