"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setupBrowserReload = setupBrowserReload;

var _debounce = _interopRequireDefault(require("debounce"));

var _messageChannel = require("./message-channel.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-console */

/**
 * @typedef {object} SetupBrowserReloadConfig
 * @property {import('chokidar').FSWatcher} fileWatcher
 * @property {number} watchDebounce
 */
function onFileChanged() {
  console.log('Reloading connected browsers...');
  console.log('');
  (0, _messageChannel.sendMessageToActiveBrowsers)('file-changed');
}
/**
 * @param {SetupBrowserReloadConfig} cfg
 */


function setupBrowserReload(cfg) {
  const onChange = (0, _debounce.default)(onFileChanged, cfg.watchDebounce);
  cfg.fileWatcher.addListener('change', onChange);
  cfg.fileWatcher.addListener('unlink', onChange);
}